CRAN Package Check Results for Package tidyverse

Last updated on 2024-06-12 22:56:48 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.0.0 5.96 60.27 66.23 OK
r-devel-linux-x86_64-debian-gcc 2.0.0 0.46 1.77 2.23 ERROR
r-devel-linux-x86_64-fedora-clang 2.0.0 86.15 NOTE
r-devel-linux-x86_64-fedora-gcc 2.0.0 93.18 OK
r-devel-windows-x86_64 2.0.0 7.00 67.00 74.00 OK
r-patched-linux-x86_64 2.0.0 4.20 59.16 63.36 OK
r-release-linux-x86_64 2.0.0 4.41 56.43 60.84 OK
r-release-macos-arm64 2.0.0 36.00 OK
r-release-macos-x86_64 2.0.0 51.00 OK
r-release-windows-x86_64 2.0.0 8.00 68.00 76.00 OK
r-oldrel-macos-arm64 2.0.0 37.00 OK
r-oldrel-macos-x86_64 2.0.0 59.00 OK
r-oldrel-windows-x86_64 2.0.0 9.00 71.00 80.00 OK

Check Details

Version: 2.0.0
Check: package dependencies
Result: ERROR Packages required but not available: 'broom', 'dbplyr', 'dplyr', 'dtplyr', 'forcats', 'ggplot2', 'googledrive', 'googlesheets4', 'haven', 'hms', 'lubridate', 'modelr', 'pillar', 'purrr', 'readr', 'readxl', 'rvest', 'stringr', 'tibble', 'tidyr' Packages suggested but not available for checking: 'feather', 'testthat' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc

Version: 2.0.0
Check: package dependencies
Result: NOTE Imports includes 30 non-default packages. Importing from so many packages makes the package vulnerable to any of them becoming unavailable. Move as many as possible to Suggests and use conditionally. Flavor: r-devel-linux-x86_64-fedora-clang